MysqlndUhConnection::changeUser
MysqlndUhConnection::close
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::charsetName

Returns the default character set for the database connection

### Description

public string MysqlndUhConnection::charsetName ( mysqlnd_connection `$connection` )

Returns the default character set for the database connection.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

The default character set.

### Examples

Example #1 MysqlndUhConnection::charsetName example

`<?php
class proxy extends MysqlndUhConnection {
public function charsetName($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::charsetName($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump(mysqli_character_set_name($mysqli));
?>`

The above example will output:

    proxy::charsetName(array (
      0 => NULL,
    ))
    proxy::charsetName returns 'latin1'
    string(6) "latin1"

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_character_set_name